petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMemoryGetMaximumUsage

Returns the maximum resident set size (memory used) for the program.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMemoryGetMaximumUsage(PetscLogDouble *mem)

Not Collective Many br

### Output Parameter

mem -memory usage in bytes Many br

### Options Database Key

-memory_view -Print memory usage at end of run Many br
-malloc_log -Activate logging of memory usage Many br

Many br

### Notes

The memory usage reported here includes all Fortran arrays Many br(that may be used in application-defined sections of code). Many brThis routine thus provides a more complete picture of memory Many brusage than PetscMallocGetCurrentUsage() for codes that employ Fortran with Many brhardwired arrays. Many br

### See Also

PetscMallocGetMaximumUsage(), PetscMemoryGetCurrentUsage(), PetscMallocGetCurrentUsage(),
PetscMemorySetGetMaximumUsage() Many br

Level:intermediate
Location:src/sys/memory/mem.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages